/*
 * Хэндлинг команды about
 */
const errorHandler = require("../utils/error-handler");
const functions = require("../utils/functions");
const keyboards = require("../utils/keyboards");

module.exports = bot => async msg => {
	try {
    const opts = { //Опции (клавиатура и т.д.)
        parse_mode: 'Markdown' //Форматирование текста
    };
    await bot.sendMessage(msg.chat.id, await functions.genAboutText(), opts);
    bot.sendSticker(msg.chat.id, "CAACAgIAAxkBAAIFLmLxHZFlrrAaKxTmZdVwQkZ2L1ldAAIkBwACWiM9C1nC26Wtn2hwKQQ")
  } catch (error) {
    errorHandler(bot, msg.chat.id, error);
  }
};